Skip to main content
`Ctrl`+`K`

# read_dot

read_dot(path)

  Returns a NetworkX `MultiGraph` or `MultiDiGraph` from the dot file with the passed path.

  If this file contains multiple graphs, only the first such graph is returned. All graphs _except_ the first are silently ignored.

  Parameters:
    path str or file

      Filename or file handle.

  Returns:
    G MultiGraph or MultiDiGraph

      A `MultiGraph` or `MultiDiGraph`.

  Notes

  Use `G = nx.Graph(nx.nx_pydot.read_dot(path))` to return a `Graph` instead of a `MultiGraph`.